Package org.apache.solr.client.solrj.request.json

# Enum Class TermsFacetMap.FacetMethod

java.lang.Object
java.lang.Enum<TermsFacetMap.FacetMethod>
org.apache.solr.client.solrj.request.json.TermsFacetMap.FacetMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<TermsFacetMap.FacetMethod>`, `java.lang.constant.Constable`

Enclosing class:
  `TermsFacetMap`

public static enum TermsFacetMap.FacetMethod extends Enum<TermsFacetMap.FacetMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DV`
`DVHASH`
`ENUM`
`SMART`
`STREAM`
`UIF`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static TermsFacetMap.FacetMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TermsFacetMap.FacetMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DV

public static final TermsFacetMap.FacetMethod DV

### UIF

public static final TermsFacetMap.FacetMethod UIF

### DVHASH

public static final TermsFacetMap.FacetMethod DVHASH

### ENUM

public static final TermsFacetMap.FacetMethod ENUM

### STREAM

public static final TermsFacetMap.FacetMethod STREAM

### SMART

public static final TermsFacetMap.FacetMethod SMART

## Method Details

### values

public static TermsFacetMap.FacetMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TermsFacetMap.FacetMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<TermsFacetMap.FacetMethod>`